> ## Documentation Index
> Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List connector mappings

> Lists mappings under a connector target.



## OpenAPI

````yaml /openapi.json get /v1/connector-targets/{connectorTargetId}/mappings
openapi: 3.1.0
info:
  title: Den API
  description: >-
    OpenAPI spec for the Den control plane API.


    Authentication:

    - Use `Authorization: Bearer <session-token>` for user-authenticated routes
    that require a Den session.

    - Use `x-api-key: <den-api-key>` for API-key-authenticated routes that
    accept organization API keys.

    - Public routes like health and documentation do not require authentication.


    Swagger tip: use the security schemes in the Authorize dialog to set either
    `bearerAuth` or `denApiKey` before trying protected endpoints.
  version: dev
servers:
  - url: https://api.openworklabs.com
security: []
tags:
  - name: System
    description: Service health and operational routes.
  - name: Organizations
    description: Top-level organization creation and context routes.
  - name: Invitations
    description: Invitation preview, acceptance, creation, and cancellation routes.
  - name: API Keys
    description: Organization API key management routes.
  - name: Members
    description: Organization member management routes.
  - name: Roles
    description: Organization custom role management routes.
  - name: Teams
    description: Organization team management routes.
  - name: Templates
    description: Organization shared template routes.
  - name: LLM Providers
    description: Organization LLM provider catalog, configuration, and access routes.
  - name: Skills
    description: Organization skill authoring and sharing routes.
  - name: Skill Hubs
    description: Organization skill hub management and access routes.
  - name: Workers
    description: Worker lifecycle, billing, and runtime routes.
  - name: Worker Runtime
    description: Worker runtime inspection and upgrade routes.
  - name: Worker Activity
    description: Worker heartbeat and activity reporting routes.
  - name: Admin
    description: Administrative reporting routes.
  - name: Users
    description: Current user and membership routes.
paths:
  /v1/connector-targets/{connectorTargetId}/mappings:
    get:
      tags:
        - Connectors
      summary: List connector mappings
      description: Lists mappings under a connector target.
      operationId: getV1ConnectorTargetsByConnectorTargetIdMappings
      parameters:
        - in: path
          name: connectorTargetId
          schema:
            format: typeid
            type: string
            minLength: 30
            maxLength: 30
            pattern: ^ctg_.*
          required: true
          description: Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.
        - in: query
          name: cursor
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - in: query
          name: mappingKind
          schema:
            type: string
            enum:
              - path
              - api
              - custom
        - in: query
          name: objectType
          schema:
            type: string
            enum:
              - skill
              - agent
              - command
              - tool
              - mcp
              - hook
              - context
              - custom
        - in: query
          name: pluginId
          schema:
            format: typeid
            type: string
            minLength: 30
            maxLength: 30
            pattern: ^plg_.*
          description: Den TypeID with 'plg_' prefix and a 26-character base32 suffix.
        - in: query
          name: q
          schema:
            type: string
            minLength: 1
            maxLength: 255
      responses:
        '200':
          description: Connector mappings returned successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PluginArchConnectorMappingListResponse'
        '400':
          description: The connector mapping query parameters were invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestError'
        '401':
          description: The caller must be signed in to list connector mappings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: The connector target could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    PluginArchConnectorMappingListResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PluginArchConnectorMapping'
        nextCursor:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
      required:
        - items
        - nextCursor
    InvalidRequestError:
      type: object
      properties:
        error:
          type: string
          const: invalid_request
        details:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
            additionalProperties: {}
      required:
        - error
        - details
    UnauthorizedError:
      type: object
      properties:
        error:
          type: string
          const: unauthorized
      required:
        - error
    NotFoundError:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
    PluginArchConnectorMapping:
      type: object
      properties:
        id:
          description: Den TypeID with 'cmp_' prefix and a 26-character base32 suffix.
          format: typeid
          type: string
          minLength: 30
          maxLength: 30
          pattern: ^cmp_.*
        connectorInstanceId:
          description: Den TypeID with 'cin_' prefix and a 26-character base32 suffix.
          format: typeid
          type: string
          minLength: 30
          maxLength: 30
          pattern: ^cin_.*
        connectorTargetId:
          description: Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.
          format: typeid
          type: string
          minLength: 30
          maxLength: 30
          pattern: ^ctg_.*
        connectorType:
          type: string
          enum:
            - github
        remoteId:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        mappingKind:
          type: string
          enum:
            - path
            - api
            - custom
        selector:
          type: string
          minLength: 1
          maxLength: 255
        objectType:
          type: string
          enum:
            - skill
            - agent
            - command
            - tool
            - mcp
            - hook
            - context
            - custom
        pluginId:
          anyOf:
            - description: Den TypeID with 'plg_' prefix and a 26-character base32 suffix.
              format: typeid
              type: string
              minLength: 30
              maxLength: 30
              pattern: ^plg_.*
            - type: 'null'
        autoAddToPlugin:
          type: boolean
        mappingConfigJson:
          anyOf:
            - type: object
              properties: {}
              additionalProperties: {}
            - type: 'null'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
      required:
        - id
        - connectorInstanceId
        - connectorTargetId
        - connectorType
        - remoteId
        - mappingKind
        - selector
        - objectType
        - pluginId
        - autoAddToPlugin
        - mappingConfigJson
        - createdAt
        - updatedAt

````